org.springframework.data.relational.core.sql

## Interface Condition

All Superinterfaces:
  Segment, Visitable

All Known Implementing Classes:
  AndCondition, Between, Comparison, FalseCondition, In, IsNull, Like, MultipleCondition, NestedCondition, Not, OrCondition, SimpleCondition, TrueCondition

    public interface Condition
    extends Segment

AST `Segment` for a condition.

Since:
  1.1
Author:
  Mark Paluch, Jens Schauder
See Also:
  `Conditions`

### Method Summary

All Methods Instance Methods Default Methods
`default Condition` `and(Condition other)` Combine another `Condition` using `AND`.
`default Condition` `not()` Creates a `Condition` that negates this `Condition`.
`default Condition` `or(Condition other)` Combine another `Condition` using `OR`.

### Methods inherited from interface org.springframework.data.relational.core.sql.Segment

`equals, hashCode, toString`

### Methods inherited from interface org.springframework.data.relational.core.sql.Visitable

`visit`

### Method Detail

#### and

    default Condition and(Condition other)

Combine another `Condition` using `AND`.

Parameters:
  `other` - the other `Condition`.
Returns:
  the combined `Condition`.

#### or

    default Condition or(Condition other)

Combine another `Condition` using `OR`.

Parameters:
  `other` - the other `Condition`.
Returns:
  the combined `Condition`.

#### not

    default Condition not()

Creates a `Condition` that negates this `Condition`.

Returns:
  the negated `Condition`.